Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.cmis
Class DocumentMetadata

    java.lang.Object
      com.tibco.bpm.web.client.model.types.cmis.DocumentMetadata

    public class DocumentMetadata

extends java.lang.Object

Constructor Summary
`DocumentMetadata()`

Method Summary
`java.lang.String` | `getCreatedBy()`
`java.util.Date` | `getCreatedDateTime()`
`java.lang.String` | `getFileName()`
`java.lang.String` | `getLastModifiedBy()`
`java.util.Date` | `getLastModifiedDateTime()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getName()`
`Specifier` | `getSpecifier()`
`java.lang.String` | `getVersion()`
`void` | `setCreatedBy(java.lang.String createdBy)`
`void` | `setCreatedDateTime(java.util.Date createdDateTime)`
`void` | `setFileName(java.lang.String fileName)`
`void` | `setLastModifiedBy(java.lang.String lastModifiedBy)`
`void` | `setLastModifiedDateTime(java.util.Date lastModifiedDateTime)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setName(java.lang.String name)`
`void` | `setSpecifier(Specifier specifier)`
`void` | `setVersion(java.lang.String version)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentMetadata

    public DocumentMetadata()

Method Detail

### getSpecifier

    public Specifier getSpecifier()

### setSpecifier

    public void setSpecifier(Specifier specifier)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getFileName

    public java.lang.String getFileName()

### setFileName

    public void setFileName(java.lang.String fileName)

### getCreatedBy

    public java.lang.String getCreatedBy()

### setCreatedBy

    public void setCreatedBy(java.lang.String createdBy)

### getLastModifiedBy

    public java.lang.String getLastModifiedBy()

### setLastModifiedBy

    public void setLastModifiedBy(java.lang.String lastModifiedBy)

### getCreatedDateTime

    public java.util.Date getCreatedDateTime()

### setCreatedDateTime

    public void setCreatedDateTime(java.util.Date createdDateTime)

### getLastModifiedDateTime

    public java.util.Date getLastModifiedDateTime()

### setLastModifiedDateTime

    public void setLastModifiedDateTime(java.util.Date lastModifiedDateTime)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.